<%--
  Created by IntelliJ IDEA.
  User: njc
  Date: 2022/5/6
  Time: 20:29
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<script>
    var url;

    /**
     * "添加"按钮的事件
     */
    function openBlogTypeAddDialog() {
        $("#dlg").dialog("open").dialog("setTitle", "添加博客类别信息");
        url = "${pageContext.request.contextPath}/admin/blogType/save.do";
    }

    /**
     * "修改"按钮的事件
     */
    function openBlogTypeModifyDialog() {
        var selectedRows = $("#dg").datagrid("getSelections");
        if (selectedRows.length != 1) {
            $.messager.alert("系统提示", "请选择一条要编辑的数据！")
            return;
        }
        var row = selectedRows[0];
        $("#dlg").dialog("open").dialog("setTitle", "修改博客类别信息");
        $("#fm").form("load", row);
        url = "${pageContext.request.contextPath}/admin/blogType/save.do?id=" + row.id;
    }

    /**
     * 删除按钮事件
     */
    function deleteBlogType() {
        var selectedRows = $("#dg").datagrid("getSelections");
        if (selectedRows.length == 0) {
            $.messager.alert("系统提示", "请至少选择一条要编辑的数据！");
            return;
        }
        var strIds = [];
        for (var i = 0; i < selectedRows.length; i++) {
            strIds.push(selectedRows[i].id);
        }
        var ids = strIds.join(",");
        $.messager.confirm("系统提示", "您确定要删除这<font color=red>" + selectedRows.length + "</font>条数据吗？", function (r) {
            if (r) {
                $.post("${pageContext.request.contextPath}/admin/blogType/delete.do", {ids: ids}, function (result) {
                    if (result.success) {
                        $.messager.alert("系统提示", "数据已经成功删除！");
                        $("#dg").datagrid("reload");
                    } else if (result.exists) {
                        $.messager.alert("系统提示", result.exists);
                    } else {
                        $.messager.alert("系统提示", "数据删除失败！");
                    }
                }, "json");
            }
        });
    }

    /**
     * "保存"按钮事件
     */
    function saveBlogType() {
        $("#fm").form("submit", {
            url: url,
            onSubmit: function () {
                return $(this).form("validate");
            },
            success: function (result) {
                var result = eval('(' + result + ')');
                if (result.success) {
                    $.messager.alert("系统提示", "保存成功！");
                    resetValue();
                    $("#dlg").dialog("close");
                    $("#dg").datagrid("reload");
                } else {
                    $.messager.alert("系统提示", "保存失败！");
                    return;
                }
            }
        });
    }

    /**
     * "关闭"按钮事件
     */
    function closeBlogTypeDialog() {
        $("#dlg").dialog("close");
        resetValue();
    }

    /**
     * 重置弹出对话框
     */
    function resetValue() {
        $("#typeName").val("");
        $("#orderNo").val("");
    }
</script>
<table id="dg" title="博客类别管理" class="easyui-datagrid" fitcolumns="true" pagination="true" rownumbers="true"
       url="${pageContext.request.contextPath}/admin/blogType/list.do" fit="true" toolbar="#tb">
    <thead>
    <tr>
        <th field="cb" checkbox="true" align="center"></th>
        <th field="id" width="30" align="center">编号</th>
        <th field="typeName" width="100" align="center">博客类型名称</th>
        <th field="orderNo" width="100" align="center">排序序号</th>
    </tr>
    </thead>
</table>

<div id="tb">
    <a href="javascript:openBlogTypeAddDialog()" class="easyui-linkbutton" iconcls="icon-add" plain="true">添加</a>
    <a href="javascript:openBlogTypeModifyDialog()" class="easyui-linkbutton" iconcls="icon-edit" plain="true">修改</a>
    <a href="javascript:deleteBlogType()" class="easyui-linkbutton" iconcls="icon-remove" plain="true">删除</a>
</div>

<div id="dlg" class="easyui-dialog" style="width: 350px;height: 200px;padding: 10px 20px;" closed="true"
     buttons="dlg-buttons">
    <form id="fm" method="post">
        <table cellpadding="8px" style="font-size: 14px">
            <tr>
                <td>博客类别名称：</td>
                <td><input type="text" id="typeName" name="typeName" class="easyui-validatebox" required="true"/>
                </td>
            </tr>
            <tr>
                <td>博客类别排序：</td>
                <td><input type="text" id="orderNo" name="orderNo" class="easyui-validatebox" required="true"/></td>
            </tr>
            <tr>注意：类别根据排序序号从小到大排序</tr>
        </table>
    </form>
    <div id="dlg-buttons">
        <a href="javascript:saveBlogType();" class="easyui-linkbutton" iconcls="icon-ok" style="margin-left: 14%">保存</a>
        <a href="javascript:closeBlogTypeDialog();" class="easyui-linkbutton" iconcls="icon-cancel"
           style="margin-left: 14%">取消</a>
    </div>
</div>

